Page MenuHomePhabricator

Make arrow buttons OO UI buttons
Closed, ResolvedPublic3 Story Points

Description

This should simplify things regarding different styles on different states of the button, LTR/RTL icons etc.

Note: I am thinking of making those arrows framed OOjs UI ButtonWidgets with next/previous icons. This would affect the existing UI at least in a following way:

Personally I don't consider those changes bad or good. Would still like to hear "OK" or "That's no good" from someone else, so pinging @Jan_Dittrich and @Lea_WMDE

Some screen caps how arrow buttons (would) look like after the change.

And some close ups to button in hover and active (mouse button pressed and not released) state to have all combinations visible:


Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2016, 2:11 PM

Change 303166 had a related patch set uploaded (by WMDE-leszek):
Make backward/forward arrows OO.ui.ButtonWidgets

https://gerrit.wikimedia.org/r/303166

WMDE-leszek triaged this task as Normal priority.Aug 5 2016, 2:14 PM

sounds like a good idea to me!

Change 303166 merged by jenkins-bot:
Make backward/forward arrows OO.ui.ButtonWidgets

https://gerrit.wikimedia.org/r/303166

The change has been merged but still one issue might be worth considering by @Jan_Dittrich @Charlie_WMDE @Lea_WMDE and other great people.

To quote @Addshore from gerrit:

1 observation here is that now the disabled arrow has the came colour as the revision bars. However the colour means different things in each place. For the arrow it means, don't click me. And for the bars it means click me..

I share the same concern but I don't know what else could be done to fix that instead of completely changing the colours of revisions (e.g. going shades of pink instead of shades of grey)

e.g. going shades of pink instead of shades of grey

That could work ;)
A shade of grey that is slightly lighter or slightly darker may also work :/

@Addshore @WMDE-leszek
Is it possible to add some screenshots/images to this ticket to better follow he discussion?

WMDE-leszek updated the task description. (Show Details)Aug 10 2016, 10:48 AM

@Charlie_WMDE: added some pics to the task description. Thanks!

Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.Aug 10 2016, 3:34 PM
Tobi_WMDE_SW closed this task as Resolved.Aug 30 2016, 8:40 AM
Addshore moved this task from Doing to Done on the Revision-Slider board.Sep 13 2016, 2:49 PM